<?php

namespace Database\Seeders;

use App\Models\Setting;
use Illuminate\Database\Seeder;

class SettingsTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run(): void
    {
        $settings = [
            [
                'key' => 'developer_name',
                'value' => null,
                'file_id' => null,
                'is_file' => false,
                'is_foreign' => false,
                'is_array' => false,
                'is_contact' => false,
                'is_for_dev' => true,
                'has_trans' => false,
            ],
            [
                'key' => 'developer_url',
                'value' => null,
                'file_id' => null,
                'is_file' => false,
                'is_foreign' => false,
                'is_array' => false,
                'is_contact' => false,
                'is_for_dev' => true,
                'has_trans' => false,
            ],
            [
                'key' => 'theme_color',
                'value' => null,
                'file_id' => null,
                'is_file' => false,
                'is_foreign' => false,
                'is_array' => false,
                'is_contact' => false,
                'is_for_dev' => true,
                'has_trans' => false,
            ],
            [
                'key' => 'dark_logo',
                'value' => null,
                'file_id' => 1,
                'is_file' => true,
                'is_foreign' => false,
                'is_array' => false,
                'is_contact' => false,
                'is_for_dev' => false,
                'has_trans' => false,
            ],
            [
                'key' => 'light_logo',
                'value' => null,
                'file_id' => 1,
                'is_file' => true,
                'is_foreign' => false,
                'is_array' => false,
                'is_contact' => false,
                'is_for_dev' => false,
                'has_trans' => false,
            ],
            [
                'key' => 'share_logo',
                'value' => null,
                'file_id' => 1,
                'is_file' => true,
                'is_foreign' => false,
                'is_array' => false,
                'is_contact' => false,
                'is_for_dev' => false,
                'has_trans' => false,
            ],
            [
                'key' => 'site_name',
                'value' => json_encode([
                    'az' => 'CMS',
                    'en' => 'CMS',
                    'ru' => 'CMS',
                ]),
                'file_id' => null,
                'is_file' => false,
                'is_foreign' => false,
                'is_array' => false,
                'is_contact' => false,
                'is_for_dev' => false,
                'has_trans' => true,
            ],
            [
                'key' => 'title',
                'value' => json_encode([
                    'az' => 'CMS',
                    'en' => 'CMS',
                    'ru' => 'CMS',
                ]),
                'file_id' => null,
                'is_file' => false,
                'is_foreign' => false,
                'is_array' => false,
                'is_contact' => false,
                'is_for_dev' => false,
                'has_trans' => true,
            ],
            [
                'key' => 'slogan',
                'value' => null,
                'file_id' => null,
                'is_file' => false,
                'is_foreign' => false,
                'is_array' => false,
                'is_contact' => false,
                'is_for_dev' => false,
                'has_trans' => true,
            ],
            [
                'key' => 'description',
                'value' => null,
                'file_id' => null,
                'is_file' => false,
                'is_foreign' => false,
                'is_array' => false,
                'is_contact' => false,
                'is_for_dev' => false,
                'has_trans' => true,
            ],
            [
                'key' => 'keywords',
                'value' => null,
                'file_id' => null,
                'is_file' => false,
                'is_foreign' => false,
                'is_array' => false,
                'is_contact' => false,
                'is_for_dev' => false,
                'has_trans' => true,
            ],
            [
                'key' => 'phones',
                'value' => '[]',
                'file_id' => null,
                'is_file' => false,
                'is_foreign' => false,
                'is_array' => true,
                'is_contact' => true,
                'is_for_dev' => false,
                'has_trans' => false,
            ],
            [
                'key' => 'faxes',
                'value' => '[]',
                'file_id' => null,
                'is_file' => false,
                'is_foreign' => false,
                'is_array' => true,
                'is_contact' => true,
                'is_for_dev' => false,
                'has_trans' => false,
            ],
            [
                'key' => 'emails',
                'value' => '[]',
                'file_id' => null,
                'is_file' => false,
                'is_foreign' => false,
                'is_array' => true,
                'is_contact' => true,
                'is_for_dev' => false,
                'has_trans' => false,
            ],
            [
                'key' => 'address',
                'value' => null,
                'file_id' => null,
                'is_file' => false,
                'is_foreign' => false,
                'is_array' => false,
                'is_contact' => true,
                'is_for_dev' => false,
                'has_trans' => true,
            ],
            [
                'key' => 'map_link',
                'value' => null,
                'file_id' => null,
                'is_file' => false,
                'is_foreign' => false,
                'is_array' => false,
                'is_contact' => true,
                'is_for_dev' => false,
                'has_trans' => false,
            ],
            [
                'key' => 'map_embed',
                'value' => null,
                'file_id' => null,
                'is_file' => false,
                'is_foreign' => false,
                'is_array' => false,
                'is_contact' => true,
                'is_for_dev' => false,
                'has_trans' => false,
            ],
            [
                'key' => 'fb_app_id',
                'value' => null,
                'file_id' => null,
                'is_file' => false,
                'is_foreign' => false,
                'is_array' => false,
                'is_contact' => false,
                'is_for_dev' => false,
                'has_trans' => false,
            ],
            [
                'key' => 'fb_admins',
                'value' => null,
                'file_id' => null,
                'is_file' => false,
                'is_foreign' => false,
                'is_array' => false,
                'is_contact' => false,
                'is_for_dev' => false,
                'has_trans' => false,
            ],
            [
                'key' => 'fb_pages',
                'value' => null,
                'file_id' => null,
                'is_file' => false,
                'is_foreign' => false,
                'is_array' => false,
                'is_contact' => false,
                'is_for_dev' => false,
                'has_trans' => false,
            ],
            [
                'key' => 'twitter_account_id',
                'value' => null,
                'file_id' => null,
                'is_file' => false,
                'is_foreign' => false,
                'is_array' => false,
                'is_contact' => false,
                'is_for_dev' => false,
                'has_trans' => false,
            ],
        ];

        foreach ($settings as $setting) {
            Setting::create($setting);
        }
    }
}
